xref: /freebsd/contrib/expat/tests/Makefile.in (revision 61e21613)
1# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017-2021 Sebastian Pipping <sebastian@pipping.org>
26# Copyright (c) 2017      Rhodri James <rhodri@wildebeest.org.uk>
27# Copyright (c) 2020      Jeffrey Walton <noloader@gmail.com>
28# Licensed under the MIT license:
29#
30# Permission is  hereby granted,  free of charge,  to any  person obtaining
31# a  copy  of  this  software   and  associated  documentation  files  (the
32# "Software"),  to  deal in  the  Software  without restriction,  including
33# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
34# distribute, sublicense, and/or sell copies of the Software, and to permit
35# persons  to whom  the Software  is  furnished to  do so,  subject to  the
36# following conditions:
37#
38# The above copyright  notice and this permission notice  shall be included
39# in all copies or substantial portions of the Software.
40#
41# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
42# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
43# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
44# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
45# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
46# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
47# USE OR OTHER DEALINGS IN THE SOFTWARE.
48
49VPATH = @srcdir@
50am__is_gnu_make = { \
51  if test -z '$(MAKELEVEL)'; then \
52    false; \
53  elif test -n '$(MAKE_HOST)'; then \
54    true; \
55  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
56    true; \
57  else \
58    false; \
59  fi; \
60}
61am__make_running_with_option = \
62  case $${target_option-} in \
63      ?) ;; \
64      *) echo "am__make_running_with_option: internal error: invalid" \
65              "target option '$${target_option-}' specified" >&2; \
66         exit 1;; \
67  esac; \
68  has_opt=no; \
69  sane_makeflags=$$MAKEFLAGS; \
70  if $(am__is_gnu_make); then \
71    sane_makeflags=$$MFLAGS; \
72  else \
73    case $$MAKEFLAGS in \
74      *\\[\ \	]*) \
75        bs=\\; \
76        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
77          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
78    esac; \
79  fi; \
80  skip_next=no; \
81  strip_trailopt () \
82  { \
83    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
84  }; \
85  for flg in $$sane_makeflags; do \
86    test $$skip_next = yes && { skip_next=no; continue; }; \
87    case $$flg in \
88      *=*|--*) continue;; \
89        -*I) strip_trailopt 'I'; skip_next=yes;; \
90      -*I?*) strip_trailopt 'I';; \
91        -*O) strip_trailopt 'O'; skip_next=yes;; \
92      -*O?*) strip_trailopt 'O';; \
93        -*l) strip_trailopt 'l'; skip_next=yes;; \
94      -*l?*) strip_trailopt 'l';; \
95      -[dEDm]) skip_next=yes;; \
96      -[JT]) skip_next=yes;; \
97    esac; \
98    case $$flg in \
99      *$$target_option*) has_opt=yes; break;; \
100    esac; \
101  done; \
102  test $$has_opt = yes
103am__make_dryrun = (target_option=n; $(am__make_running_with_option))
104am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
105pkgdatadir = $(datadir)/@PACKAGE@
106pkgincludedir = $(includedir)/@PACKAGE@
107pkglibdir = $(libdir)/@PACKAGE@
108pkglibexecdir = $(libexecdir)/@PACKAGE@
109am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
110install_sh_DATA = $(install_sh) -c -m 644
111install_sh_PROGRAM = $(install_sh) -c
112install_sh_SCRIPT = $(install_sh) -c
113INSTALL_HEADER = $(INSTALL_DATA)
114transform = $(program_transform_name)
115NORMAL_INSTALL = :
116PRE_INSTALL = :
117POST_INSTALL = :
118NORMAL_UNINSTALL = :
119PRE_UNINSTALL = :
120POST_UNINSTALL = :
121build_triplet = @build@
122host_triplet = @host@
123check_PROGRAMS = runtests$(EXEEXT) runtestspp$(EXEEXT)
124TESTS = runtests$(EXEEXT) runtestspp$(EXEEXT)
125subdir = tests
126ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
127am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
128	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
129	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
130	$(top_srcdir)/acinclude.m4 \
131	$(top_srcdir)/conftools/ax-require-defined.m4 \
132	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
133	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
134	$(top_srcdir)/conftools/ax-append-flag.m4 \
135	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
136	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
137	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
138	$(top_srcdir)/configure.ac
139am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
140	$(ACLOCAL_M4)
141DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
142mkinstalldirs = $(install_sh) -d
143CONFIG_HEADER = $(top_builddir)/expat_config.h
144CONFIG_CLEAN_FILES =
145CONFIG_CLEAN_VPATH_FILES =
146LIBRARIES = $(noinst_LIBRARIES)
147ARFLAGS = cru
148AM_V_AR = $(am__v_AR_@AM_V@)
149am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
150am__v_AR_0 = @echo "  AR      " $@;
151am__v_AR_1 =
152libruntests_a_AR = $(AR) $(ARFLAGS)
153libruntests_a_LIBADD =
154am_libruntests_a_OBJECTS = chardata.$(OBJEXT) structdata.$(OBJEXT) \
155	memcheck.$(OBJEXT) minicheck.$(OBJEXT)
156libruntests_a_OBJECTS = $(am_libruntests_a_OBJECTS)
157am_runtests_OBJECTS = runtests.$(OBJEXT)
158runtests_OBJECTS = $(am_runtests_OBJECTS)
159runtests_DEPENDENCIES = libruntests.a ../lib/libexpatinternal.la
160AM_V_lt = $(am__v_lt_@AM_V@)
161am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
162am__v_lt_0 = --silent
163am__v_lt_1 =
164runtests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
165	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
166	$(runtests_LDFLAGS) $(LDFLAGS) -o $@
167am_runtestspp_OBJECTS = runtestspp.$(OBJEXT)
168runtestspp_OBJECTS = $(am_runtestspp_OBJECTS)
169runtestspp_DEPENDENCIES = libruntests.a ../lib/libexpatinternal.la
170runtestspp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
171	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
172	$(CXXFLAGS) $(runtestspp_LDFLAGS) $(LDFLAGS) -o $@
173AM_V_P = $(am__v_P_@AM_V@)
174am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_@AM_V@)
178am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 =
181AM_V_at = $(am__v_at_@AM_V@)
182am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
183am__v_at_0 = @
184am__v_at_1 =
185DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
186depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
187am__maybe_remake_depfiles = depfiles
188am__depfiles_remade = ./$(DEPDIR)/chardata.Po ./$(DEPDIR)/memcheck.Po \
189	./$(DEPDIR)/minicheck.Po ./$(DEPDIR)/runtests.Po \
190	./$(DEPDIR)/runtestspp.Po ./$(DEPDIR)/structdata.Po
191am__mv = mv -f
192COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
193	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
194LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
195	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
196	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197	$(AM_CFLAGS) $(CFLAGS)
198AM_V_CC = $(am__v_CC_@AM_V@)
199am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
200am__v_CC_0 = @echo "  CC      " $@;
201am__v_CC_1 =
202CCLD = $(CC)
203LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
204	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
205	$(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CCLD = $(am__v_CCLD_@AM_V@)
207am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
208am__v_CCLD_0 = @echo "  CCLD    " $@;
209am__v_CCLD_1 =
210CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
211	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
212LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
213	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
214	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
215	$(AM_CXXFLAGS) $(CXXFLAGS)
216AM_V_CXX = $(am__v_CXX_@AM_V@)
217am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
218am__v_CXX_0 = @echo "  CXX     " $@;
219am__v_CXX_1 =
220CXXLD = $(CXX)
221CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
222	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
223	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
224AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
225am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
226am__v_CXXLD_0 = @echo "  CXXLD   " $@;
227am__v_CXXLD_1 =
228SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
229	$(runtestspp_SOURCES)
230DIST_SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
231	$(runtestspp_SOURCES)
232RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
233	ctags-recursive dvi-recursive html-recursive info-recursive \
234	install-data-recursive install-dvi-recursive \
235	install-exec-recursive install-html-recursive \
236	install-info-recursive install-pdf-recursive \
237	install-ps-recursive install-recursive installcheck-recursive \
238	installdirs-recursive pdf-recursive ps-recursive \
239	tags-recursive uninstall-recursive
240am__can_run_installinfo = \
241  case $$AM_UPDATE_INFO_DIR in \
242    n|no|NO) false;; \
243    *) (install-info --version) >/dev/null 2>&1;; \
244  esac
245RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
246  distclean-recursive maintainer-clean-recursive
247am__recursive_targets = \
248  $(RECURSIVE_TARGETS) \
249  $(RECURSIVE_CLEAN_TARGETS) \
250  $(am__extra_recursive_targets)
251AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
252	check recheck distdir distdir-am
253am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
254# Read a list of newline-separated strings from the standard input,
255# and print each of them once, without duplicates.  Input order is
256# *not* preserved.
257am__uniquify_input = $(AWK) '\
258  BEGIN { nonempty = 0; } \
259  { items[$$0] = 1; nonempty = 1; } \
260  END { if (nonempty) { for (i in items) print i; }; } \
261'
262# Make sure the list of sources is unique.  This is necessary because,
263# e.g., the same source file might be shared among _SOURCES variables
264# for different programs/libraries.
265am__define_uniq_tagged_files = \
266  list='$(am__tagged_files)'; \
267  unique=`for i in $$list; do \
268    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269  done | $(am__uniquify_input)`
270am__tty_colors_dummy = \
271  mgn= red= grn= lgn= blu= brg= std=; \
272  am__color_tests=no
273am__tty_colors = { \
274  $(am__tty_colors_dummy); \
275  if test "X$(AM_COLOR_TESTS)" = Xno; then \
276    am__color_tests=no; \
277  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
278    am__color_tests=yes; \
279  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
280    am__color_tests=yes; \
281  fi; \
282  if test $$am__color_tests = yes; then \
283    red=''; \
284    grn=''; \
285    lgn=''; \
286    blu=''; \
287    mgn=''; \
288    brg=''; \
289    std=''; \
290  fi; \
291}
292am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
293am__vpath_adj = case $$p in \
294    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
295    *) f=$$p;; \
296  esac;
297am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
298am__install_max = 40
299am__nobase_strip_setup = \
300  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
301am__nobase_strip = \
302  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
303am__nobase_list = $(am__nobase_strip_setup); \
304  for p in $$list; do echo "$$p $$p"; done | \
305  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
306  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
307    if (++n[$$2] == $(am__install_max)) \
308      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
309    END { for (dir in files) print dir, files[dir] }'
310am__base_list = \
311  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
312  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
313am__uninstall_files_from_dir = { \
314  test -z "$$files" \
315    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
316    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
317         $(am__cd) "$$dir" && rm -f $$files; }; \
318  }
319am__recheck_rx = ^[ 	]*:recheck:[ 	]*
320am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
321am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
322# A command that, given a newline-separated list of test names on the
323# standard input, print the name of the tests that are to be re-run
324# upon "make recheck".
325am__list_recheck_tests = $(AWK) '{ \
326  recheck = 1; \
327  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
328    { \
329      if (rc < 0) \
330        { \
331          if ((getline line2 < ($$0 ".log")) < 0) \
332	    recheck = 0; \
333          break; \
334        } \
335      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
336        { \
337          recheck = 0; \
338          break; \
339        } \
340      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
341        { \
342          break; \
343        } \
344    }; \
345  if (recheck) \
346    print $$0; \
347  close ($$0 ".trs"); \
348  close ($$0 ".log"); \
349}'
350# A command that, given a newline-separated list of test names on the
351# standard input, create the global log from their .trs and .log files.
352am__create_global_log = $(AWK) ' \
353function fatal(msg) \
354{ \
355  print "fatal: making $@: " msg | "cat >&2"; \
356  exit 1; \
357} \
358function rst_section(header) \
359{ \
360  print header; \
361  len = length(header); \
362  for (i = 1; i <= len; i = i + 1) \
363    printf "="; \
364  printf "\n\n"; \
365} \
366{ \
367  copy_in_global_log = 1; \
368  global_test_result = "RUN"; \
369  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
370    { \
371      if (rc < 0) \
372         fatal("failed to read from " $$0 ".trs"); \
373      if (line ~ /$(am__global_test_result_rx)/) \
374        { \
375          sub("$(am__global_test_result_rx)", "", line); \
376          sub("[ 	]*$$", "", line); \
377          global_test_result = line; \
378        } \
379      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
380        copy_in_global_log = 0; \
381    }; \
382  if (copy_in_global_log) \
383    { \
384      rst_section(global_test_result ": " $$0); \
385      while ((rc = (getline line < ($$0 ".log"))) != 0) \
386      { \
387        if (rc < 0) \
388          fatal("failed to read from " $$0 ".log"); \
389        print line; \
390      }; \
391      printf "\n"; \
392    }; \
393  close ($$0 ".trs"); \
394  close ($$0 ".log"); \
395}'
396# Restructured Text title.
397am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
398# Solaris 10 'make', and several other traditional 'make' implementations,
399# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
400# by disabling -e (using the XSI extension "set +e") if it's set.
401am__sh_e_setup = case $$- in *e*) set +e;; esac
402# Default flags passed to test drivers.
403am__common_driver_flags = \
404  --color-tests "$$am__color_tests" \
405  --enable-hard-errors "$$am__enable_hard_errors" \
406  --expect-failure "$$am__expect_failure"
407# To be inserted before the command running the test.  Creates the
408# directory for the log if needed.  Stores in $dir the directory
409# containing $f, in $tst the test, in $log the log.  Executes the
410# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
411# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
412# will run the test scripts (or their associated LOG_COMPILER, if
413# thy have one).
414am__check_pre = \
415$(am__sh_e_setup);					\
416$(am__vpath_adj_setup) $(am__vpath_adj)			\
417$(am__tty_colors);					\
418srcdir=$(srcdir); export srcdir;			\
419case "$@" in						\
420  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
421    *) am__odir=.;; 					\
422esac;							\
423test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
424  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
425if test -f "./$$f"; then dir=./;			\
426elif test -f "$$f"; then dir=;				\
427else dir="$(srcdir)/"; fi;				\
428tst=$$dir$$f; log='$@'; 				\
429if test -n '$(DISABLE_HARD_ERRORS)'; then		\
430  am__enable_hard_errors=no; 				\
431else							\
432  am__enable_hard_errors=yes; 				\
433fi; 							\
434case " $(XFAIL_TESTS) " in				\
435  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
436    am__expect_failure=yes;;				\
437  *)							\
438    am__expect_failure=no;;				\
439esac; 							\
440$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
441# A shell command to get the names of the tests scripts with any registered
442# extension removed (i.e., equivalently, the names of the test logs, with
443# the '.log' extension removed).  The result is saved in the shell variable
444# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
445# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
446# since that might cause problem with VPATH rewrites for suffix-less tests.
447# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
448am__set_TESTS_bases = \
449  bases='$(TEST_LOGS)'; \
450  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
451  bases=`echo $$bases`
452AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
453RECHECK_LOGS = $(TEST_LOGS)
454TEST_SUITE_LOG = test-suite.log
455TEST_EXTENSIONS = @EXEEXT@ .test
456LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
457am__set_b = \
458  case '$@' in \
459    */*) \
460      case '$*' in \
461        */*) b='$*';; \
462          *) b=`echo '$@' | sed 's/\.log$$//'`; \
463       esac;; \
464    *) \
465      b='$*';; \
466  esac
467am__test_logs1 = $(TESTS:=.log)
468am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
469TEST_LOGS = $(am__test_logs2:.test.log=.log)
470TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
471TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
472	$(TEST_LOG_FLAGS)
473DIST_SUBDIRS = $(SUBDIRS)
474am__DIST_COMMON = $(srcdir)/Makefile.in \
475	$(top_srcdir)/conftools/depcomp \
476	$(top_srcdir)/conftools/test-driver
477DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
478am__relativize = \
479  dir0=`pwd`; \
480  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
481  sed_rest='s,^[^/]*/*,,'; \
482  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
483  sed_butlast='s,/*[^/]*$$,,'; \
484  while test -n "$$dir1"; do \
485    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
486    if test "$$first" != "."; then \
487      if test "$$first" = ".."; then \
488        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
489        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
490      else \
491        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
492        if test "$$first2" = "$$first"; then \
493          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
494        else \
495          dir2="../$$dir2"; \
496        fi; \
497        dir0="$$dir0"/"$$first"; \
498      fi; \
499    fi; \
500    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
501  done; \
502  reldir="$$dir2"
503ACLOCAL = @ACLOCAL@
504AMTAR = @AMTAR@
505AM_CFLAGS = @AM_CFLAGS@
506AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(srcdir)/../lib
507AM_CXXFLAGS = @AM_CXXFLAGS@
508AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
509AM_LDFLAGS = @AM_LDFLAGS@
510AR = @AR@
511AS = @AS@
512AUTOCONF = @AUTOCONF@
513AUTOHEADER = @AUTOHEADER@
514AUTOMAKE = @AUTOMAKE@
515AWK = @AWK@
516CC = @CC@
517CCDEPMODE = @CCDEPMODE@
518CFLAGS = @CFLAGS@
519CMAKE_SHARED_LIBRARY_PREFIX = @CMAKE_SHARED_LIBRARY_PREFIX@
520CPPFLAGS = @CPPFLAGS@
521CSCOPE = @CSCOPE@
522CTAGS = @CTAGS@
523CXX = @CXX@
524CXXCPP = @CXXCPP@
525CXXDEPMODE = @CXXDEPMODE@
526CXXFLAGS = @CXXFLAGS@
527CYGPATH_W = @CYGPATH_W@
528DEFS = @DEFS@
529DEPDIR = @DEPDIR@
530DLLTOOL = @DLLTOOL@
531DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
532DSYMUTIL = @DSYMUTIL@
533DUMPBIN = @DUMPBIN@
534ECHO_C = @ECHO_C@
535ECHO_N = @ECHO_N@
536ECHO_T = @ECHO_T@
537EGREP = @EGREP@
538ETAGS = @ETAGS@
539EXEEXT = @EXEEXT@
540EXPAT_ATTR_INFO = @EXPAT_ATTR_INFO@
541EXPAT_CHAR_TYPE = @EXPAT_CHAR_TYPE@
542EXPAT_CONTEXT_BYTES = @EXPAT_CONTEXT_BYTES@
543EXPAT_DTD = @EXPAT_DTD@
544EXPAT_LARGE_SIZE = @EXPAT_LARGE_SIZE@
545EXPAT_MIN_SIZE = @EXPAT_MIN_SIZE@
546EXPAT_NS = @EXPAT_NS@
547FGREP = @FGREP@
548FILECMD = @FILECMD@
549FILEMAP = @FILEMAP@
550GREP = @GREP@
551INSTALL = @INSTALL@
552INSTALL_DATA = @INSTALL_DATA@
553INSTALL_PROGRAM = @INSTALL_PROGRAM@
554INSTALL_SCRIPT = @INSTALL_SCRIPT@
555INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
556LD = @LD@
557LDFLAGS = @LDFLAGS@
558LIBAGE = @LIBAGE@
559LIBCURRENT = @LIBCURRENT@
560LIBDIR_BASENAME = @LIBDIR_BASENAME@
561LIBM = @LIBM@
562LIBOBJS = @LIBOBJS@
563LIBREVISION = @LIBREVISION@
564LIBS = @LIBS@
565LIBTOOL = @LIBTOOL@
566LIPO = @LIPO@
567LN_S = @LN_S@
568LTLIBOBJS = @LTLIBOBJS@
569LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
570MAKEINFO = @MAKEINFO@
571MANIFEST_TOOL = @MANIFEST_TOOL@
572MKDIR_P = @MKDIR_P@
573NM = @NM@
574NMEDIT = @NMEDIT@
575OBJDUMP = @OBJDUMP@
576OBJEXT = @OBJEXT@
577OTOOL = @OTOOL@
578OTOOL64 = @OTOOL64@
579PACKAGE = @PACKAGE@
580PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
581PACKAGE_NAME = @PACKAGE_NAME@
582PACKAGE_STRING = @PACKAGE_STRING@
583PACKAGE_TARNAME = @PACKAGE_TARNAME@
584PACKAGE_URL = @PACKAGE_URL@
585PACKAGE_VERSION = @PACKAGE_VERSION@
586PATH_SEPARATOR = @PATH_SEPARATOR@
587RANLIB = @RANLIB@
588SED = @SED@
589SET_MAKE = @SET_MAKE@
590SHELL = @SHELL@
591SO_MAJOR = @SO_MAJOR@
592SO_MINOR = @SO_MINOR@
593SO_PATCH = @SO_PATCH@
594STRIP = @STRIP@
595VERSION = @VERSION@
596abs_builddir = @abs_builddir@
597abs_srcdir = @abs_srcdir@
598abs_top_builddir = @abs_top_builddir@
599abs_top_srcdir = @abs_top_srcdir@
600ac_ct_AR = @ac_ct_AR@
601ac_ct_CC = @ac_ct_CC@
602ac_ct_CXX = @ac_ct_CXX@
603ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
604ac_cv_sizeof_void_p = @ac_cv_sizeof_void_p@
605am__include = @am__include@
606am__leading_dot = @am__leading_dot@
607am__quote = @am__quote@
608am__tar = @am__tar@
609am__untar = @am__untar@
610bindir = @bindir@
611build = @build@
612build_alias = @build_alias@
613build_cpu = @build_cpu@
614build_os = @build_os@
615build_vendor = @build_vendor@
616builddir = @builddir@
617datadir = @datadir@
618datarootdir = @datarootdir@
619docdir = @docdir@
620dvidir = @dvidir@
621exec_prefix = @exec_prefix@
622host = @host@
623host_alias = @host_alias@
624host_cpu = @host_cpu@
625host_os = @host_os@
626host_vendor = @host_vendor@
627htmldir = @htmldir@
628includedir = @includedir@
629infodir = @infodir@
630install_sh = @install_sh@
631libdir = @libdir@
632libexecdir = @libexecdir@
633localedir = @localedir@
634localstatedir = @localstatedir@
635mandir = @mandir@
636mkdir_p = @mkdir_p@
637oldincludedir = @oldincludedir@
638pdfdir = @pdfdir@
639prefix = @prefix@
640program_transform_name = @program_transform_name@
641psdir = @psdir@
642runstatedir = @runstatedir@
643sbindir = @sbindir@
644sharedstatedir = @sharedstatedir@
645srcdir = @srcdir@
646sysconfdir = @sysconfdir@
647target_alias = @target_alias@
648top_build_prefix = @top_build_prefix@
649top_builddir = @top_builddir@
650top_srcdir = @top_srcdir@
651SUBDIRS = . benchmark
652noinst_LIBRARIES = libruntests.a
653
654# To support MinGW and Non-MinGW at the same time:
655LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
656libruntests_a_SOURCES = \
657    chardata.c \
658    structdata.c \
659    memcheck.c \
660    minicheck.c
661
662runtests_SOURCES = \
663    runtests.c
664
665runtestspp_SOURCES = \
666    runtestspp.cpp
667
668runtests_LDADD = libruntests.a ../lib/libexpatinternal.la
669runtestspp_LDADD = libruntests.a ../lib/libexpatinternal.la
670runtests_LDFLAGS = @AM_LDFLAGS@ @LIBM@
671runtestspp_LDFLAGS = @AM_LDFLAGS@ @LIBM@
672EXTRA_DIST = \
673    chardata.h \
674    structdata.h \
675    minicheck.h \
676    memcheck.h \
677    README.txt \
678    udiffer.py \
679    xmltest.log.expected \
680    xmltest.sh
681
682all: all-recursive
683
684.SUFFIXES:
685.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
686$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
687	@for dep in $?; do \
688	  case '$(am__configure_deps)' in \
689	    *$$dep*) \
690	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
691	        && { if test -f $@; then exit 0; else break; fi; }; \
692	      exit 1;; \
693	  esac; \
694	done; \
695	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
696	$(am__cd) $(top_srcdir) && \
697	  $(AUTOMAKE) --gnu tests/Makefile
698Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
699	@case '$?' in \
700	  *config.status*) \
701	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
702	  *) \
703	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
704	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
705	esac;
706
707$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
708	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
709
710$(top_srcdir)/configure:  $(am__configure_deps)
711	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
713	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
714$(am__aclocal_m4_deps):
715
716clean-checkPROGRAMS:
717	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
718	echo " rm -f" $$list; \
719	rm -f $$list || exit $$?; \
720	test -n "$(EXEEXT)" || exit 0; \
721	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
722	echo " rm -f" $$list; \
723	rm -f $$list
724
725clean-noinstLIBRARIES:
726	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
727
728libruntests.a: $(libruntests_a_OBJECTS) $(libruntests_a_DEPENDENCIES) $(EXTRA_libruntests_a_DEPENDENCIES)
729	$(AM_V_at)-rm -f libruntests.a
730	$(AM_V_AR)$(libruntests_a_AR) libruntests.a $(libruntests_a_OBJECTS) $(libruntests_a_LIBADD)
731	$(AM_V_at)$(RANLIB) libruntests.a
732
733runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES)
734	@rm -f runtests$(EXEEXT)
735	$(AM_V_CCLD)$(runtests_LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
736
737runtestspp$(EXEEXT): $(runtestspp_OBJECTS) $(runtestspp_DEPENDENCIES) $(EXTRA_runtestspp_DEPENDENCIES)
738	@rm -f runtestspp$(EXEEXT)
739	$(AM_V_CXXLD)$(runtestspp_LINK) $(runtestspp_OBJECTS) $(runtestspp_LDADD) $(LIBS)
740
741mostlyclean-compile:
742	-rm -f *.$(OBJEXT)
743
744distclean-compile:
745	-rm -f *.tab.c
746
747@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@ # am--include-marker
748@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@ # am--include-marker
749@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@ # am--include-marker
750@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@ # am--include-marker
751@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtestspp.Po@am__quote@ # am--include-marker
752@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@ # am--include-marker
753
754$(am__depfiles_remade):
755	@$(MKDIR_P) $(@D)
756	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
757
758am--depfiles: $(am__depfiles_remade)
759
760.c.o:
761@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
762@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
763@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
764@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
765@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
766
767.c.obj:
768@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
769@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
770@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
771@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
772@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
773
774.c.lo:
775@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
776@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
777@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
778@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
779@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
780
781.cpp.o:
782@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
783@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
784@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
785@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
786@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
787
788.cpp.obj:
789@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
790@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
791@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
792@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
793@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
794
795.cpp.lo:
796@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
797@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
798@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
799@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
800@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
801
802mostlyclean-libtool:
803	-rm -f *.lo
804
805clean-libtool:
806	-rm -rf .libs _libs
807
808# This directory's subdirectories are mostly independent; you can cd
809# into them and run 'make' without going through this Makefile.
810# To change the values of 'make' variables: instead of editing Makefiles,
811# (1) if the variable is set in 'config.status', edit 'config.status'
812#     (which will cause the Makefiles to be regenerated when you run 'make');
813# (2) otherwise, pass the desired values on the 'make' command line.
814$(am__recursive_targets):
815	@fail=; \
816	if $(am__make_keepgoing); then \
817	  failcom='fail=yes'; \
818	else \
819	  failcom='exit 1'; \
820	fi; \
821	dot_seen=no; \
822	target=`echo $@ | sed s/-recursive//`; \
823	case "$@" in \
824	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
825	  *) list='$(SUBDIRS)' ;; \
826	esac; \
827	for subdir in $$list; do \
828	  echo "Making $$target in $$subdir"; \
829	  if test "$$subdir" = "."; then \
830	    dot_seen=yes; \
831	    local_target="$$target-am"; \
832	  else \
833	    local_target="$$target"; \
834	  fi; \
835	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
836	  || eval $$failcom; \
837	done; \
838	if test "$$dot_seen" = "no"; then \
839	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
840	fi; test -z "$$fail"
841
842ID: $(am__tagged_files)
843	$(am__define_uniq_tagged_files); mkid -fID $$unique
844tags: tags-recursive
845TAGS: tags
846
847tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
848	set x; \
849	here=`pwd`; \
850	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
851	  include_option=--etags-include; \
852	  empty_fix=.; \
853	else \
854	  include_option=--include; \
855	  empty_fix=; \
856	fi; \
857	list='$(SUBDIRS)'; for subdir in $$list; do \
858	  if test "$$subdir" = .; then :; else \
859	    test ! -f $$subdir/TAGS || \
860	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
861	  fi; \
862	done; \
863	$(am__define_uniq_tagged_files); \
864	shift; \
865	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
866	  test -n "$$unique" || unique=$$empty_fix; \
867	  if test $$# -gt 0; then \
868	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
869	      "$$@" $$unique; \
870	  else \
871	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
872	      $$unique; \
873	  fi; \
874	fi
875ctags: ctags-recursive
876
877CTAGS: ctags
878ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
879	$(am__define_uniq_tagged_files); \
880	test -z "$(CTAGS_ARGS)$$unique" \
881	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
882	     $$unique
883
884GTAGS:
885	here=`$(am__cd) $(top_builddir) && pwd` \
886	  && $(am__cd) $(top_srcdir) \
887	  && gtags -i $(GTAGS_ARGS) "$$here"
888cscopelist: cscopelist-recursive
889
890cscopelist-am: $(am__tagged_files)
891	list='$(am__tagged_files)'; \
892	case "$(srcdir)" in \
893	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
894	  *) sdir=$(subdir)/$(srcdir) ;; \
895	esac; \
896	for i in $$list; do \
897	  if test -f "$$i"; then \
898	    echo "$(subdir)/$$i"; \
899	  else \
900	    echo "$$sdir/$$i"; \
901	  fi; \
902	done >> $(top_builddir)/cscope.files
903
904distclean-tags:
905	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
906
907# Recover from deleted '.trs' file; this should ensure that
908# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
909# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
910# to avoid problems with "make -n".
911.log.trs:
912	rm -f $< $@
913	$(MAKE) $(AM_MAKEFLAGS) $<
914
915# Leading 'am--fnord' is there to ensure the list of targets does not
916# expand to empty, as could happen e.g. with make check TESTS=''.
917am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
918am--force-recheck:
919	@:
920
921$(TEST_SUITE_LOG): $(TEST_LOGS)
922	@$(am__set_TESTS_bases); \
923	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
924	redo_bases=`for i in $$bases; do \
925	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
926	            done`; \
927	if test -n "$$redo_bases"; then \
928	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
929	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
930	  if $(am__make_dryrun); then :; else \
931	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
932	  fi; \
933	fi; \
934	if test -n "$$am__remaking_logs"; then \
935	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
936	       "recursion detected" >&2; \
937	elif test -n "$$redo_logs"; then \
938	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
939	fi; \
940	if $(am__make_dryrun); then :; else \
941	  st=0;  \
942	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
943	  for i in $$redo_bases; do \
944	    test -f $$i.trs && test -r $$i.trs \
945	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
946	    test -f $$i.log && test -r $$i.log \
947	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
948	  done; \
949	  test $$st -eq 0 || exit 1; \
950	fi
951	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
952	ws='[ 	]'; \
953	results=`for b in $$bases; do echo $$b.trs; done`; \
954	test -n "$$results" || results=/dev/null; \
955	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
956	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
957	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
958	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
959	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
960	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
961	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
962	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
963	  success=true; \
964	else \
965	  success=false; \
966	fi; \
967	br='==================='; br=$$br$$br$$br$$br; \
968	result_count () \
969	{ \
970	    if test x"$$1" = x"--maybe-color"; then \
971	      maybe_colorize=yes; \
972	    elif test x"$$1" = x"--no-color"; then \
973	      maybe_colorize=no; \
974	    else \
975	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
976	    fi; \
977	    shift; \
978	    desc=$$1 count=$$2; \
979	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
980	      color_start=$$3 color_end=$$std; \
981	    else \
982	      color_start= color_end=; \
983	    fi; \
984	    echo "$${color_start}# $$desc $$count$${color_end}"; \
985	}; \
986	create_testsuite_report () \
987	{ \
988	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
989	  result_count $$1 "PASS: " $$pass  "$$grn"; \
990	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
991	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
992	  result_count $$1 "FAIL: " $$fail  "$$red"; \
993	  result_count $$1 "XPASS:" $$xpass "$$red"; \
994	  result_count $$1 "ERROR:" $$error "$$mgn"; \
995	}; \
996	{								\
997	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
998	    $(am__rst_title);						\
999	  create_testsuite_report --no-color;				\
1000	  echo;								\
1001	  echo ".. contents:: :depth: 2";				\
1002	  echo;								\
1003	  for b in $$bases; do echo $$b; done				\
1004	    | $(am__create_global_log);					\
1005	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1006	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1007	if $$success; then						\
1008	  col="$$grn";							\
1009	 else								\
1010	  col="$$red";							\
1011	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1012	fi;								\
1013	echo "$${col}$$br$${std}"; 					\
1014	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1015	echo "$${col}$$br$${std}"; 					\
1016	create_testsuite_report --maybe-color;				\
1017	echo "$$col$$br$$std";						\
1018	if $$success; then :; else					\
1019	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1020	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1021	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1022	  fi;								\
1023	  echo "$$col$$br$$std";					\
1024	fi;								\
1025	$$success || exit 1
1026
1027check-TESTS: $(check_PROGRAMS)
1028	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1029	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1030	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1031	@set +e; $(am__set_TESTS_bases); \
1032	log_list=`for i in $$bases; do echo $$i.log; done`; \
1033	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1034	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1035	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1036	exit $$?;
1037recheck: all $(check_PROGRAMS)
1038	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1039	@set +e; $(am__set_TESTS_bases); \
1040	bases=`for i in $$bases; do echo $$i; done \
1041	         | $(am__list_recheck_tests)` || exit 1; \
1042	log_list=`for i in $$bases; do echo $$i.log; done`; \
1043	log_list=`echo $$log_list`; \
1044	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1045	        am__force_recheck=am--force-recheck \
1046	        TEST_LOGS="$$log_list"; \
1047	exit $$?
1048runtests.log: runtests$(EXEEXT)
1049	@p='runtests$(EXEEXT)'; \
1050	b='runtests'; \
1051	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1052	--log-file $$b.log --trs-file $$b.trs \
1053	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1054	"$$tst" $(AM_TESTS_FD_REDIRECT)
1055runtestspp.log: runtestspp$(EXEEXT)
1056	@p='runtestspp$(EXEEXT)'; \
1057	b='runtestspp'; \
1058	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1059	--log-file $$b.log --trs-file $$b.trs \
1060	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1061	"$$tst" $(AM_TESTS_FD_REDIRECT)
1062.test.log:
1063	@p='$<'; \
1064	$(am__set_b); \
1065	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1066	--log-file $$b.log --trs-file $$b.trs \
1067	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1068	"$$tst" $(AM_TESTS_FD_REDIRECT)
1069@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1070@am__EXEEXT_TRUE@	@p='$<'; \
1071@am__EXEEXT_TRUE@	$(am__set_b); \
1072@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1073@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1074@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1075@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1076distdir: $(BUILT_SOURCES)
1077	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1078
1079distdir-am: $(DISTFILES)
1080	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1081	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1082	list='$(DISTFILES)'; \
1083	  dist_files=`for file in $$list; do echo $$file; done | \
1084	  sed -e "s|^$$srcdirstrip/||;t" \
1085	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1086	case $$dist_files in \
1087	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1088			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1089			   sort -u` ;; \
1090	esac; \
1091	for file in $$dist_files; do \
1092	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1093	  if test -d $$d/$$file; then \
1094	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1095	    if test -d "$(distdir)/$$file"; then \
1096	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1097	    fi; \
1098	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1099	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1100	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1101	    fi; \
1102	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1103	  else \
1104	    test -f "$(distdir)/$$file" \
1105	    || cp -p $$d/$$file "$(distdir)/$$file" \
1106	    || exit 1; \
1107	  fi; \
1108	done
1109	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1110	  if test "$$subdir" = .; then :; else \
1111	    $(am__make_dryrun) \
1112	      || test -d "$(distdir)/$$subdir" \
1113	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1114	      || exit 1; \
1115	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1116	    $(am__relativize); \
1117	    new_distdir=$$reldir; \
1118	    dir1=$$subdir; dir2="$(top_distdir)"; \
1119	    $(am__relativize); \
1120	    new_top_distdir=$$reldir; \
1121	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1122	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1123	    ($(am__cd) $$subdir && \
1124	      $(MAKE) $(AM_MAKEFLAGS) \
1125	        top_distdir="$$new_top_distdir" \
1126	        distdir="$$new_distdir" \
1127		am__remove_distdir=: \
1128		am__skip_length_check=: \
1129		am__skip_mode_fix=: \
1130	        distdir) \
1131	      || exit 1; \
1132	  fi; \
1133	done
1134check-am: all-am
1135	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1136	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1137check: check-recursive
1138all-am: Makefile $(LIBRARIES)
1139installdirs: installdirs-recursive
1140installdirs-am:
1141install: install-recursive
1142install-exec: install-exec-recursive
1143install-data: install-data-recursive
1144uninstall: uninstall-recursive
1145
1146install-am: all-am
1147	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1148
1149installcheck: installcheck-recursive
1150install-strip:
1151	if test -z '$(STRIP)'; then \
1152	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1153	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1154	      install; \
1155	else \
1156	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1157	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1158	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1159	fi
1160mostlyclean-generic:
1161	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1162	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1163	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1164
1165clean-generic:
1166
1167distclean-generic:
1168	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1169	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1170
1171maintainer-clean-generic:
1172	@echo "This command is intended for maintainers to use"
1173	@echo "it deletes files that may require special tools to rebuild."
1174clean: clean-recursive
1175
1176clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1177	clean-noinstLIBRARIES mostlyclean-am
1178
1179distclean: distclean-recursive
1180		-rm -f ./$(DEPDIR)/chardata.Po
1181	-rm -f ./$(DEPDIR)/memcheck.Po
1182	-rm -f ./$(DEPDIR)/minicheck.Po
1183	-rm -f ./$(DEPDIR)/runtests.Po
1184	-rm -f ./$(DEPDIR)/runtestspp.Po
1185	-rm -f ./$(DEPDIR)/structdata.Po
1186	-rm -f Makefile
1187distclean-am: clean-am distclean-compile distclean-generic \
1188	distclean-tags
1189
1190dvi: dvi-recursive
1191
1192dvi-am:
1193
1194html: html-recursive
1195
1196html-am:
1197
1198info: info-recursive
1199
1200info-am:
1201
1202install-data-am:
1203
1204install-dvi: install-dvi-recursive
1205
1206install-dvi-am:
1207
1208install-exec-am:
1209
1210install-html: install-html-recursive
1211
1212install-html-am:
1213
1214install-info: install-info-recursive
1215
1216install-info-am:
1217
1218install-man:
1219
1220install-pdf: install-pdf-recursive
1221
1222install-pdf-am:
1223
1224install-ps: install-ps-recursive
1225
1226install-ps-am:
1227
1228installcheck-am:
1229
1230maintainer-clean: maintainer-clean-recursive
1231		-rm -f ./$(DEPDIR)/chardata.Po
1232	-rm -f ./$(DEPDIR)/memcheck.Po
1233	-rm -f ./$(DEPDIR)/minicheck.Po
1234	-rm -f ./$(DEPDIR)/runtests.Po
1235	-rm -f ./$(DEPDIR)/runtestspp.Po
1236	-rm -f ./$(DEPDIR)/structdata.Po
1237	-rm -f Makefile
1238maintainer-clean-am: distclean-am maintainer-clean-generic
1239
1240mostlyclean: mostlyclean-recursive
1241
1242mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1243	mostlyclean-libtool
1244
1245pdf: pdf-recursive
1246
1247pdf-am:
1248
1249ps: ps-recursive
1250
1251ps-am:
1252
1253uninstall-am:
1254
1255.MAKE: $(am__recursive_targets) check-am install-am install-strip
1256
1257.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1258	am--depfiles check check-TESTS check-am clean \
1259	clean-checkPROGRAMS clean-generic clean-libtool \
1260	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1261	distclean-compile distclean-generic distclean-libtool \
1262	distclean-tags distdir dvi dvi-am html html-am info info-am \
1263	install install-am install-data install-data-am install-dvi \
1264	install-dvi-am install-exec install-exec-am install-html \
1265	install-html-am install-info install-info-am install-man \
1266	install-pdf install-pdf-am install-ps install-ps-am \
1267	install-strip installcheck installcheck-am installdirs \
1268	installdirs-am maintainer-clean maintainer-clean-generic \
1269	mostlyclean mostlyclean-compile mostlyclean-generic \
1270	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1271	uninstall uninstall-am
1272
1273.PRECIOUS: Makefile
1274
1275
1276# Tell versions [3.59,3.63) of GNU make to not export all variables.
1277# Otherwise a system limit (for SysV at least) may be exceeded.
1278.NOEXPORT:
1279